For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Contractors
    • Introduction
    • Invoice adjustments
    • Timesheets
  • Common Use Cases
    • Sign contracts and amendments in bulk
    • Give bonus to contractors
    • Reimburse contractor expenses
  • Endpoints
      • POSTAttach a file to contract
      • GETGet worker invite link
      • GETPreview a contract agreement
      • DELRemove invite
      • GETRetrieve contractor payment dates
      • POSTSend contract to worker
      • POSTSign a contract
LogoLogo
SupportDeel Home
EndpointsContractor Hiring

Remove invite

DELETE
/contracts/:contract_id/invitations
DELETE
/rest/v2/contracts/:contract_id/invitations
$curl -X DELETE https://api.letsdeel.com/rest/v2/contracts/37nex2x/invitations \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "body": {}
>}'
1{
2 "data": {
3 "deleted": true
4 }
5}

Removes the active signing invitation from a contract to allow a new invitation to be issued to the worker. Token scopes: contracts:write

Was this page helpful?
Previous

Retrieve contractor payment dates

Next
Built with

Authentication

AuthorizationBearer

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication

OR
AuthorizationBearer
Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

contract_idstringRequired
Deel contract id.

Response

Successful operation.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/